Bug 984938 - subpackage should require base package with a fully versioned dependency
subpackage should require base package with a fully versioned dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liblouis (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 08:29 EDT by Rui Matos
Modified: 2013-08-01 23:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: liblouis-2.5.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2013-07-16 08:29:34 EDT
According to the guidelines in

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

the utils subpackage should have the following line added:


diff --git a/liblouis.spec b/liblouis.spec
index 14cb15d..bcea4c4 100644
--- a/liblouis.spec
+++ b/liblouis.spec
@@ -58,6 +58,7 @@ developing applications that use %{name}.
 Summary:        Command-line utilities to test %{name}
 Group:          Applications/Text
 License:        GPLv3+
+Requires:       %{name}%{?_isa} = %{version}-%{release}
 
 %description    utils
 Five test programs are provided as part of the liblouis package. They
Comment 1 Martin Gieseking 2013-07-22 05:31:27 EDT
Thanks for the info and sorry for the delay. The patch was already applied by Matthias Clasen. I'm going to submit a new package that also provides the latest release of liblouis shortly.
Comment 2 Fedora Update System 2013-07-22 05:33:44 EDT
liblouis-2.5.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liblouis-2.5.3-1.fc19
Comment 3 Fedora Update System 2013-07-22 21:09:51 EDT
Package liblouis-2.5.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liblouis-2.5.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13396/liblouis-2.5.3-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-01 23:29:33 EDT
liblouis-2.5.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.